Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78823 - gnucash won't start
Summary: gnucash won't start
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: gnucash
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2002-12-01 16:51 UTC by Tim Waugh
Modified: 2014-03-17 02:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-19 18:11:40 UTC


Attachments (Terms of Use)

Description Tim Waugh 2002-12-01 16:51:04 UTC
Description of Problem:
Gnucash no longer starts

Version-Release number of selected component (if applicable):
gnucash-1.6.8-2
current rawhide packages

How Reproducible:
100%

Steps to Reproduce:
1. gnucash

Actual Results:
It appears you do not have the 'slib' scheme library installed.
You need slib2c4 or later to run GnuCash.

Obtain slib at: http://swissnet.ai.mit.edu/~jaffer/SLIB.html

If you have slib installed, you may need to create
a symbolic link named 'slib' from the guile directory
(usually /usr/share/guile) to the directory where slib
is installed.

You may also need to run GnuCash once as root.


Expected Results:
You shouldn't need to run gnucash once as root, surely?!

Additional Information:
(Running it as root once does indeed allow it to start as normal again.)

Comment 1 Bill Nottingham 2002-12-02 19:04:14 UTC
Yeah, it's some bizarre slib/scheme initialization issue. I'll have to look up
what the fix is, and which package it goes in.

Comment 2 Bill Nottingham 2002-12-04 03:11:31 UTC
I think this will be fixed with 1.7.5-1.

Comment 3 Bill Nottingham 2002-12-19 18:08:15 UTC
Tim, does this work for you now?

Comment 4 Tim Waugh 2002-12-19 18:11:40 UTC
Yes.


Note You need to log in before you can comment on or make changes to this bug.